Subject: Re: bug#40614: 28.0.50; [feature/native-comp] straight.el fails to inject :straight keyword handler into use-package when use-package is native-compiled

From: Ihor Radchenko <[email-masked]>
Date: Sun, 19 Apr 2020 23:51:11 +0800

> PS for mitigating compile time I assume you already know the various
> tricks (deferred-compilation and/or speed).

Sure. Though I plan to move the native-compile branch to my system
installation. Deferred compilation of built-in packages will not be easy
there, unless I run Emacs as root.

Speed is actually not so big issue (at least to compile the built-in
elisp). The problem was that I tried to run make -j3 -> make -j2 -> make
-j1 hoping that less native-compilation processes would use less
memory. Everything, including make -j1 failed eventually and took a long
time because of using swap. Not sure what I can do for reducing memory
usage.

Best,
Ihor

Andrea Corallo <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>> The issue is not reproducible anymore, though my emacs installation is
>> still not fully compiled. Running make on emacs source was stuck on
>> compiling ja-dic.elc, which eats out >8Gb of memory and crashes (I only
>> have 8Gb of RAM).
>>
>> I believe that partial compilation should not affect the MELPA packages
>> (they were fully compiled). So, this bug should be fixed as far as I can
>> tell.
>>
>> Best,
>> Ihor
>
> Hi Ihor,
>
> great to hear, thanks for checking!
>
> Closing then.
>
> Andrea
>
> PS for mitigating compile time I assume you already know the various
> tricks (deferred-compilation and/or speed).
>
> -- 
> [email-masked]

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: [email-masked], [email-masked]